Skip to main content
POST
/
variants
Create Variant
curl --request POST \
  --url https://api.example.com/variants \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "candidate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "chains": [
    {
      "chain_id": "<string>",
      "role": "heavy",
      "variable_sequence": "<string>",
      "constant_region_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "source_antibody_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "parent_variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "notes": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "candidate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "parent_variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "parent_job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "is_baseline": true,
  "notes": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "chains": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "chain_id": "<string>",
      "role": "heavy",
      "variable_sequence": "<string>",
      "constant_region_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "source_antibody_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Payload to create a new variant under a therapeutic candidate.

candidate_id
string<uuid>
required
name
string
required
Required string length: 1 - 120
chains
VariantChainSpec · object[]
required

At least one chain must be specified.

Minimum array length: 1
parent_variant_id
string<uuid> | null
notes
string | null

Response

Successful Response

A variant together with its chain rows.

id
string<uuid>
required
candidate_id
string<uuid>
required
name
string
required
parent_variant_id
string<uuid> | null
required
parent_job_id
string<uuid> | null
required
is_baseline
boolean
required
notes
string | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
chains
VariantChain · object[]